@echo off
@cls
cd \RE9230.A15
@echo off
echo.

echo.
echo **** RE9230 BIOS Burn & Test Manufacture Disk Version 1.5 2019/03/04 ****
echo ------------------------------------------------------------------------------
echo.
echo.
echo.
echo Start to Erasing & Burning SPI Flash...
PAUSE
cd \RE9230.A15\RE9230.P15\firmware\cpuahci
echo Erasing Flash Now
CALL GO -w -y
echo.
cd \RE9230.A15\RE9230.P15\firmware\cpuahci
echo BIOS Burning Now 
echo.
echo ****************************
echo **UEFI Version 1.1.0.1029 **
echo ****************************
echo. 
CALL GO -y
cd \RE9230.A15\RE9230.P15
echo.
COMPVDO chkpe.dat < key.dat
IF ERRORLEVEL 1 GOTO ERR
IF ERRORLEVEL 0 GOTO BPASS

:BPASS
goto end


:ERR
@cls
call fail.bat
goto end

:end
echo Finish !
